## com.thingmagic
Class Gen2.Alien.Higgs2.PartialLoadImage

    java.lang.Object
      com.thingmagic.TagOp
          com.thingmagic.Gen2.Gen2CustomTagOp
              com.thingmagic.Gen2.Alien
                  com.thingmagic.Gen2.Alien.Higgs2
                      com.thingmagic.Gen2.Alien.Higgs2.PartialLoadImage

Enclosing class:
  Gen2.Alien.Higgs2

    public static class Gen2.Alien.Higgs2.PartialLoadImage

extends Gen2.Alien.Higgs2

Higgs2 Partial Load Image

Nested Class Summary

Nested classes/interfaces inherited from class com.thingmagic.Gen2.Alien.Higgs2
`Gen2.Alien.Higgs2.FullLoadImage, Gen2.Alien.Higgs2.PartialLoadImage`

Nested classes/interfaces inherited from class com.thingmagic.Gen2.Alien
`Gen2.Alien.Higgs2, Gen2.Alien.Higgs3`

Field Summary
`int` `accessPassword` Access password to write to the tag
`byte[]` `epc` Tag EPC to write to the tag
`int` `killPassword` Kill password to write to the tag

Fields inherited from class com.thingmagic.Gen2.Gen2CustomTagOp
`chipType`

Constructor Summary
`Gen2.Alien.Higgs2.PartialLoadImage(int killPassword, int accessPassword, byte[] epc)` Constructor to initialize parameters of PartialLoadImage

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### killPassword

    public int killPassword

  Kill password to write to the tag

### accessPassword

    public int accessPassword

  Access password to write to the tag

### epc

    public byte[] epc

  Tag EPC to write to the tag

Constructor Detail

### Gen2.Alien.Higgs2.PartialLoadImage

    public Gen2.Alien.Higgs2.PartialLoadImage(int killPassword,
                                              int accessPassword,
                                              byte[] epc)

  Constructor to initialize parameters of PartialLoadImage

  Parameters:
    `killPassword` -
    `accessPassword` -
    `epc` -